# Interface ModificationWatchpointRequest

All Superinterfaces:
  `EventRequest, Mirror, WatchpointRequest`

public interface ModificationWatchpointRequest extends WatchpointRequest
Request for notification when a field is set. This event will be triggered when a value is assigned to the specified field with a Java programming language statement (assignment, increment, etc) or by a Java Native Interface (JNI) set function (`Set<Type>Field, SetStatic<Type>Field`). Setting a field to a value which is the same as the previous value still triggers this event. Modification by JDI does not trigger this event. When an enabled ModificationWatchpointRequest is satisfied, an `event set` containing a `ModificationWatchpointEvent` will be placed on the `EventQueue`. The collection of existing watchpoints is managed by the `EventRequestManager`.

Since:
  1.3
See Also:
  - `ModificationWatchpointEvent`
  - `AccessWatchpointRequest`
  - `EventQueue`
  - `EventRequestManager`

- ## Field Summary

  ### Fields declared in interface EventRequest

  `SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`

- ## Method Summary

  ### Methods declared in interface EventRequest

  `addCountFilter, disable, enable, getProperty, isEnabled, putProperty, setEnabled, setSuspendPolicy, suspendPolicy`

  ### Methods declared in interface Mirror

  `toString, virtualMachine`

  ### Methods declared in interface WatchpointRequest

  `addClassExclusionFilter, addClassFilter, addClassFilter, addInstanceFilter, addThreadFilter, field`